GyotoFactoryMessenger.h File Reference

Factory / SmartPointee::Subcontractor_t interface. More...

`#include <xercesc/dom/DOMElement.hpp>`
`#include <vector>`
`#include <string>`
`#include <GyotoDefs.h>`
`#include <GyotoSmartPointer.h>`

Go to the source code of this file.

## Classes

class | Gyoto::FactoryMessenger
| Factory / SmartPointee::Subcontractor_t interface. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Metric
| Access to metrics.
namespace | Gyoto::Astrobj
| Access to astronomical objects.
namespace | Gyoto::Spectrum
| Spectrum of a simple object (e.g. a Gyoto::Astrobj::Star).

## Macros

#define | XERCES_INCLUDE_WCHAR_H 0
| Internal to Xerces.

## Detailed Description

Factory / SmartPointee::Subcontractor_t interface.

## Macro Definition Documentation

## XERCES_INCLUDE_WCHAR_H

#define XERCES_INCLUDE_WCHAR_H 0

Internal to Xerces.

For obscure reasons, this needs to be set to 0 instead of just undefined.